> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the amount for a specific entity in the checkout



## OpenAPI

````yaml put /frontend/checkout/amount/{client_id}/{program_id}/{entity_id}/{amount}/{currency}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/checkout/amount/{client_id}/{program_id}/{entity_id}/{amount}/{currency}/{session_id}:
    put:
      tags:
        - Frontend
      summary: Update the amount for a specific entity in the checkout
      operationId: 4d3796b6ccb76282fab31eb2d65fc62f
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: entity_id
          in: path
          description: The ID of the entity
          required: true
          schema:
            type: integer
        - name: amount
          in: path
          description: The new amount for the entity
          required: true
          schema:
            type: number
        - name: currency
          in: path
          description: The currency of the amount
          required: true
          schema:
            type: string
            example: $
        - name: session_id
          in: path
          description: The session ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  redirect_url:
                    type: string
                    example: /frontend/order/1/1/abc123
                type: object

````